# eric4.IconEditor.IconZoomDialog

Module implementing a dialog to select the zoom factor.

### Global Attributes

None

### Classes

IconZoomDialog | Class implementing a dialog to select the zoom factor.

### Functions

None

## IconZoomDialog

Class implementing a dialog to select the zoom factor.

### Derived from

QDialog, Ui_IconZoomDialog

### Class Attributes

None

### Class Methods

None

### Methods

IconZoomDialog | Constructor
getZoomFactor | Public method to retrieve the zoom factor.

### Static Methods

None

#### IconZoomDialog (Constructor)

IconZoomDialog(zoom, parent = None)

Constructor

zoom
  zoom factor to show in the spinbox
parent
  parent widget of this dialog (QWidget)

#### IconZoomDialog.getZoomFactor

getZoomFactor()

Public method to retrieve the zoom factor.

Returns:
  zoom factor (int)

Up